Nios® II Embedded Design Suite (EDS)
Support for Embedded Development Tools, Processors (SoCs and Nios® II processor), Embedded Development Suites (EDSs), Boot and Configuration, Operating Systems, C and C++
Announcements
Intel Support hours are Monday-Fridays, 8am-5pm PST, except Holidays. Thanks to our community members who provide support during our down time or before we get to your questions. We appreciate you!

Need Forum Guidance? Click here
Search our FPGA Knowledge Articles here.
12435 Discussions

An error occurred while executing the "make" command in order to create preloader file

AWan01
Partner
422 Views

I'm trying to compile a new preloader file using SOC EDS 15.0 on win10, but an error occurred while executing the "make" command.

 

tar zxf /cygdrive/c/altera/15.0/embedded/host_tools/altera/preloader/uboot-socfpga.tar.gz

tar: Error opening archive: Failed to open '/cygdrive/c/altera/15.0/embedded/host_tools/altera/preloader/uboot-socfpga.tar.gz' 

make: *** [uboot-socfpga/.untar] Error 1

 

0 Kudos
4 Replies
EBERLAZARE_I_Intel
272 Views

Hi,

 

Just to confirm, have you run the SoC EDS as admin? You can right click and select "Run as Admin".

 

The error pops up after the make often causes by the file is not accessible, thus you need to run the SoC EDS as admin.

 

If this does not fix the issue let me know.

EBERLAZARE_I_Intel
272 Views

Hi,

 

Do you have any followup from your side?

 

Regards.

AWan01
Partner
272 Views

Hi,

I have run the SoC EDS as admin, but it doesn't work. I don't understand what happened, but another way seems to work for me.

Commet out lines 219/220 of the Makefile in the spl_bsp folder. 

# $(RM) $(PRELOADER_SRC_DIR)

# $(untar_recipe)  

Run  tar zxf /cygdrive/c/altera/15.0/embedded/host_tools/altera/preloader/uboot-socfpga.tar.gz

then executing the "make" command  from SoC EDS.

Thank you.

EBERLAZARE_I_Intel
272 Views

Hi,

 

It seems that the file is still in archive, that is the cause of the issue.

 

I recommend that you use the latest version of SOC EDS 18.1 std if you are using Cyclone V SoC.

Reply